/* type booleen */
enum { FAUX, VRAI };

/* Mode d'alarme utilisable (alarme simple ou timer) */
enum { NOALRM, ALARM, TIMER };

/* mode d'ipc utilisable (file de messages ou segment de memoire partage */
enum { NOIPC, MSG, SHM };

/* type des messages attendus */
enum { MSGPIDE = 1, MSGPIDR, MSGALRM, MSGIPC, MSGCPT };

/* structure des messages ipc */
typedef struct bufipc {
	long mtype; /* type de message */
	int info;   /* contenu du message */
} msgipc;

/* structure d'un message par segment de memoire partage */
typedef struct bufshm {
	int pide;		/* pid de l'emetteur */
	int pidr;		/* pid du recepteur  */
	int ModeAlrm;	/* mode d'alarme */
	int cptr;		/* nombre de signaux recus */
} msgshm;

/* 256 octets pour un segment de memoire partage */
#define TAILLESHM 256


